aboutsummaryrefslogtreecommitdiff
path: root/tests/sys/mac
diff options
context:
space:
mode:
authorEnji Cooper <ngie@FreeBSD.org>2016-09-18 05:06:15 +0000
committerEnji Cooper <ngie@FreeBSD.org>2016-09-18 05:06:15 +0000
commit9cd2207265c15ad1e39f6be9fbdb85041f4df577 (patch)
tree8c3ee862d78f6f6c4854d38ba2d37b8a49771a6c /tests/sys/mac
parentefe00fd9232cf6381a2de43ef59cb6c6d9927898 (diff)
downloadsrc-9cd2207265c15ad1e39f6be9fbdb85041f4df577.tar.gz
src-9cd2207265c15ad1e39f6be9fbdb85041f4df577.zip
Make sure $TMPDIR is created with 0755 permissions
This is required to ensure that the temporary script can be executed, as the default mode is apparently too restrictive MFC after: 3 days Sponsored by: Dell EMC Isilon
Notes
Notes: svn path=/head/; revision=305916
Diffstat (limited to 'tests/sys/mac')
-rw-r--r--tests/sys/mac/bsdextended/matches_test.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/sys/mac/bsdextended/matches_test.sh b/tests/sys/mac/bsdextended/matches_test.sh
index 11cac81236e7..d1972613acc1 100644
--- a/tests/sys/mac/bsdextended/matches_test.sh
+++ b/tests/sys/mac/bsdextended/matches_test.sh
@@ -36,6 +36,10 @@ if ! sysctl -N security.mac.bsdextended >/dev/null 2>&1; then
echo "1..0 # SKIP mac_bsdextended(4) support isn't available"
exit 0
fi
+if ! chmod -Rf 0755 $TMPDIR; then
+ echo "1..0 # SKIP failed to chmod $TMPDIR"
+ exit 0
+fi
if ! playground=$(mktemp -d $TMPDIR/tmp.XXXXXXX); then
echo "1..0 # SKIP failed to create temporary directory"
exit 0